#include<bits/stdc++.h>
using namespace std;
int main(){
	int n, br=0;
	cin>>n;
	vector<int>x(n);
	vector<int>y(n);
	vector<int>z(n);
	for(int i=0; i<n; i++){
		cin>>x[i];
	}
	for(int j=0; j<n; j++){
		cin>>y[j];
	}
	for(int k=0; k<n; k++){
		cin>>z[k];
	}
	for(int i=0; i<n; i++){
		for(int j=0; j<n; j++){
			for(int k=0; k<n; k++){
				if(x[i]==y[j] && z[k]==j+1){
					br++;
				}
			}
		}
	}
	cout<<br;
}